/******************************************************************
  Variables :
      Those should be used in your theme
******************************************************************/
/*
 * Breakpoints
 */
/*
 * Block sizes
 */
/*
 * Fonts
 */
/*
 * Colors
 */
/* Functionnal colors */
/* Theme Colors */
/* Usefull colors */
/* Alert color */
#blockreinsurance {
    background-image: -webkit-gradient(linear, left 0%, left 100%, from(#ebebeb), to(white));
    background-image: -webkit-linear-gradient(top, #ebebeb, 0%, white, 100%);
    background-image: -moz-linear-gradient(top, #ebebeb 0%, white 100%);
    background-image: linear-gradient(to bottom, #ebebeb 0%, white 100%);
    background-repeat: repeat-x;
}

.availability {
    display: -moz-inline-box;
    display: inline-block;
    padding: 5px 10px;
    color: white;
    background-color: black;
    border-radius: 24px;
    font-size: 15px;
}

.availability.label-success {
    background-color: #6ec955;
}

.availability.label-danger {
    background-color: #ff0000;
}

.sparepart {
    padding: 10px 0;
    border-top: solid 1px rgba(0, 0, 0, 0.2);
}

.sparepart:before, .sparepart:after {
    content: " ";
    /* 1 */
    display: table;
    /* 2 */
}

.sparepart:after {
    clear: both;
}

.sparepart__info {
    float: left;
    width: 58%;
    text-align: left;
}

.sparepart__ref {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: top;
    width: 90px;
    font-weight: 900;
    line-height: normal;
}

.sparepart__desc {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: top;
    width: calc(100% - 90px);
    font: normal 16px "Tisa", Helvetica, Arial, sans-serif;
}

.sparepart__buyblock {
    float: right;
    width: 40%;
    text-align: right;
}

.sparepart__buyblock__pricing {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: top;
    margin-right: 15px;
    text-align: center;
    width: 100%;
    flex-wrap: wrap;
}

.sparepart__buyblock__price_availability {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    gap: 10px;
    margin-bottom: 10px;
}

.sparepart__buyblock__price_availability.no-stock {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    gap: 10px;
    width: 100%;
}

.sparepart--oos .sparepart__buyblock__price_availability.no-stock .price {
    text-align: right;
    width: 100%;
}

.sparepart__buyblock__price_availability.no-stock .oos {
    grid-column: 1 / 3; /* L'élément prend toute la largeur */
}

.sparepart__buyblock__pricing .price {
    color: black;
}

.sparepart__buyblock__form {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: top;
    width: 134px;
}

.sparepart__buyblock__qty {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    float: left;
    position: relative;
    width: 50px;
    padding-right: 25px;
}

.sparepart__buyblock__qty__field {
    width: 100%;
    padding: 0 !important;
    font: 900 20px "Tisa", Helvetica, Arial, sans-serif !important;
    text-align: center;
}

.sparepart__buyblock__qty .button {
    position: absolute;
    left: calc(100% - 25px);
    border-left: 0 none;
    height: 25px;
    width: 25px;
    padding: 0;
    line-height: normal;
}

.sparepart__buyblock__qty .button__content {
    display: block;
    font-size: 22px;
    line-height: 22px;
}

.sparepart__buyblock__qty .button:before, .sparepart__buyblock__qty .button:after {
    display: none;
}

.sparepart__buyblock__qty .button:hover {
    background-color: black;
}

.sparepart__buyblock__qty .sparepart_quantity_up {
    top: 0;
    border-bottom: solid 1px black;
}

.sparepart__buyblock__qty .sparepart_quantity_down {
    bottom: 0;
    border-top: solid 1px black;
}

.sparepart__buyblock__buy .button__icon {
    margin-right: 0;
}

.sparepart--oos .sparepart__buyblock__pricing {
    width: 100%;
    margin: 0;
    text-align: left;
}

.sparepart--oos .sparepart__buyblock__pricing .price {
    width: 80px;
    text-align: center;
}

.sparepart--oos .oos {
    margin-bottom: 5px;
}

.sparepart--oos .oos__baseline {
    font-size: 15px;
    margin-top: 10px;
}

.sparepart--oos .oos__result {
    font-size: 15px;
}

.sparepart--oos .oos .form-group {
    font-size: 0;
}

.sparepart--oos .oos .form-group .form-control {
    width: calc(100% - 57px);
}

.sparepart--oos .oos .form-group .button {
    margin-left: 5px;
}

.spareproduct {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: top;
    width: calc(100% / 6 - 0.1%);
    margin-bottom: 20px;
    border-right: solid 2px #D1D1D0;
}

.spareproduct__image {
    position: relative;
    display: block;
    width: 100%;
}

.spareproduct__image img {
    width: 100%;
}

.spareproduct__image img.hover_image {
    -webkit-transition: all 300ms;
    transition: all 300ms;
    opacity: 0;
    filter: alpha(opacity=0);
    position: absolute;
    top: 0;
    left: 0;
}

.spareproduct__image:before {
    background-image: -webkit-gradient(linear, left 0%, left 100%, from(transparent), to(black));
    background-image: -webkit-linear-gradient(top, transparent, 0%, black, 100%);
    background-image: -moz-linear-gradient(top, transparent 0%, black 100%);
    background-image: linear-gradient(to bottom, transparent 0%, black 100%);
    background-repeat: repeat-x;
    -webkit-transition: all 300ms;
    transition: all 300ms;
    opacity: 0;
    filter: alpha(opacity=0);
    position: absolute;
    top: 55%;
    left: 0;
    bottom: 0;
    width: 100%;
    content: "";
    z-index: 20;
}

.spareproduct__info {
    position: relative;
    padding: 10px 15px;
}

.spareproduct__info__name {
    font: 900 16px "Tisa", Helvetica, Arial, sans-serif;
    text-decoration: none;
}

.spareproduct__references {
    color: #0080c3;
    font: 900 16px "Tisa", Helvetica, Arial, sans-serif;
}

.spareproduct__link {
    -webkit-transition: all 350ms;
    transition: all 350ms;
    opacity: 0;
    filter: alpha(opacity=0);
    position: absolute;
    left: 12px;
    right: 12px;
    bottom: calc(100% + 12px);
    width: 176px;
    font-size: 0;
    z-index: 25;
}

.spareproduct__link .button {
    width: 100%;
}

.spareproduct:hover .spareproduct__image:before {
    opacity: 0.5;
    filter: alpha(opacity=50);
}

.spareproduct:hover .spareproduct__link {
    opacity: 1;
    filter: alpha(opacity=100);
}

.spareproduct:last-of-type {
    border-right: 0 none;
}

.spareparts {
    padding-bottom: 50px;
}

.spareparts__steps {
    margin-bottom: 35px;
}

.spareparts__steps ul {
    padding: 25px 0;
}

.spareparts__step {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: middle;
    margin-right: 40px;
}

.spareparts__step > * {
    opacity: 0.75;
    filter: alpha(opacity=75);
    color: white;
    font: 900 24px "Tisa", Helvetica, Arial, sans-serif;
    text-decoration: none;
}

.spareparts__step--current > * {
    opacity: 1;
    filter: alpha(opacity=100);
    color: #0080c3;
}

.spareparts__heading {
    margin-bottom: 35px;
}

.spareparts__heading__title {
    margin-bottom: 25px;
}

.spareparts__image {
    float: left;
    width: 552px;
    font-size: 0;
}

.spareparts__image img {
    max-width: 100%;
    height: auto;
}

.spareparts__info {
    float: right;
    width: 48%;
}

.spareparts__category {
    margin-bottom: 30px;
    border-bottom: solid 1px rgba(0, 0, 0, 0.2);
}

.spareparts__category__title {
    padding: 6px 0;
}

/* Desktop only */
@media only screen and (min-width: 1241px) {
    .spareproduct.last-in-line {
        border-right: 0 none;
    }
}

/* Smaller desktop, tablet & mobile */
@media only screen and (max-width: 1240px) {
    .spareproduct {
        width: calc(100% / 3);
        border-right: solid 1px #D1D1D0;
    }
    .spareproduct__info {
        padding: 10px 0 10px 2%;
        width: 48%;
    }
    .spareproduct__link {
        display: block;
        top: 10px;
        bottom: auto;
        left: 100%;
        right: auto;
        width: 100%;
        opacity: 1;
    }
    .spareproduct__link .button--white {
        padding: 13px 0;
        color: black;
        border-color: black;
    }
    .spareproduct__link .button--white svg path {
        fill: black;
    }
    .spareproduct:last-of-type, .spareproduct.last-in-line-tablet {
        border-right: 0 none;
    }
    .sparepart__info {
        width: 48%;
    }
    .sparepart__buyblock {
        width: 50%;
    }
    .spareparts__step > * {
        font-size: 18px;
    }
    .spareparts__image {
        width: 442px;
    }
    .spareparts__info {
        width: 470px;
    }
}

/* Tablet & mobile */
@media only screen and (max-width: 1024px) {
    .sparepart {
        position: relative;
    }
    .sparepart__info {
        float: none;
        width: calc((100% / 3) * 2);
        font-size: 14px;
    }
    .sparepart__ref {
        display: block;
        width: auto;
    }
    .sparepart__desc {
        display: block;
        width: auto;
    }
    .sparepart__buyblock {
        float: none;
        width: 100%;
    }
    .sparepart__buyblock__qty {
        width: auto;
        padding: 0;
        border-right: solid 1px black;
        font-size: 0;
    }
    .sparepart__buyblock__qty__field {
        display: -moz-inline-box;
        display: inline-block;
        vertical-align: middle;
        width: 38px;
        border-right: solid 1px black !important;
    }
    .sparepart__buyblock__qty .button {
        display: -moz-inline-box;
        display: inline-block;
        vertical-align: middle;
        position: static;
        width: 38px;
        height: 38px;
        border-left: solid 1px black;
        border-right: solid 1px black;
    }
    .sparepart__buyblock__qty .button .button__content {
        display: block;
        max-width: 100%;
        text-align: center;
        line-height: 32px;
    }
    .sparepart__buyblock__qty .sparepart_quantity_down,
    .sparepart__buyblock__qty .sparepart_quantity_up {
        border-top: solid 2px black;
        border-bottom: solid 2px black;
    }
    .sparepart__buyblock__pricing .price {
        position: absolute;
        top: 10px;
        right: 0;
    }
    .sparepart--available .sparepart__buyblock {
        margin-top: 5px;
    }
    .sparepart--available .sparepart__buyblock:before, .sparepart--available .sparepart__buyblock:after {
        content: " ";
        /* 1 */
        display: table;
        /* 2 */
    }
    .sparepart--available .sparepart__buyblock:after {
        clear: both;
    }
    .sparepart--available .sparepart__buyblock__pricing {
        float: left;
        margin: 0;
    }
    .sparepart--available .sparepart__buyblock__form {
        float: right;
        width: auto;
    }
    .sparepart--available .sparepart__buyblock__qty {
        margin-right: 5px;
    }
    .sparepart--oos .sparepart__buyblock__pricing .price {
        width: auto;
        text-align: right;
    }
    .sparepart--oos .oos__form .button__icon {
        top: 3px;
    }
    .spareparts__image {
        float: none;
        width: 380px;
        margin: 0 auto;
    }
    .spareparts__info {
        float: none;
        width: 100%;
        margin-top: 20px;
    }
}

/* Portrait & landscape mobile */
@media only screen and (max-width: 767px) {
    .sparepart__desc {
        font-size: 14px;
    }
    .sparepart__buyblock__qty {
        vertical-align: top;
    }
    .sparepart__buyblock__qty__field {
        height: 28px !important;
    }
    .sparepart__buyblock__qty .button {
        width: 28px;
        height: 28px;
    }
    .sparepart__buyblock__qty .button .button__content {
        line-height: 22px;
    }
    .sparepart__buyblock__buy {
        vertical-align: top;
        padding: 4px 10px;
    }
    .sparepart__buyblock__buy .button__icon {
        width: 14px;
        height: 14px;
    }
    .sparepart--available .availability {
        margin-top: 1px;
    }
    .sparepart--oos .oos__baseline {
        font-size: 14px;
    }
    .spareparts__steps {
        margin-bottom: 20px;
    }
    .spareparts__heading {
        margin-bottom: 10px;
    }
    .spareparts__heading__title {
        margin-bottom: 15px;
    }
    .spareparts__heading__description {
        color: black;
        font: normal 13px Helvetica, Arial, sans-serif;
    }
    .spareparts__image {
        width: 254px;
    }
    .spareproduct {
        width: calc(100% / 2);
    }
    .spareproduct__info {
        width: 100%;
        padding: 10px;
    }
    .spareproduct__link {
        position: static;
        margin-top: 10px;
    }
    .spareproduct__link .button--white {
        padding: 6px 0;
    }
    .spareproduct.last-in-line-tablet {
        border-right: solid 1px #D1D1D0;
    }
    .spareproduct.last-in-line-mobile {
        border-right: 0 none;
    }
}

/*# sourceMappingURL=data:application/json;base64,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 */
